<ion-header>
  <ion-toolbar color="danger" class="ion-text-center">
    <ion-title>
      UTM SMART
    </ion-title>
  </ion-toolbar>
</ion-header>

<ion-content>
  <ion-list>
    <ion-list-header class="ion-margin">
      Welcome!
    </ion-list-header>

    <ion-item [routerLink]="['/module-exam']">
      <ion-icon name="document" color="danger"></ion-icon>
      <ion-label color="danger" class="ion-margin">
        <h2>Exam Results</h2>
      </ion-label>
    </ion-item>

    <ion-item [routerLink]="['/module-hostel']">
      <ion-icon name="business" color="danger"></ion-icon>
      <ion-label color="danger" class="ion-margin">
        <h2>Hostel Application</h2>
      </ion-label>
    </ion-item>

    <ion-item [routerLink]="['/module-course']">
      <ion-icon name="book" color="danger"></ion-icon>
      <ion-label color="danger" class="ion-margin">
        <h2>Course Registration</h2>
      </ion-label>
    </ion-item>

    <ion-item [routerLink]="['/']">
      <ion-icon name="create" color="danger"></ion-icon>
      <ion-label color="danger" class="ion-margin">
        <h2>Manage Profile</h2>
      </ion-label>
    </ion-item>

    <ion-item [routerLink]="['/module-attendance/lecturerlanding']">
      <ion-icon name="receipt" color="danger"></ion-icon>
      <ion-label color="danger" class="ion-margin">
        <h2>Lecturer Attendance</h2>
      </ion-label>
    </ion-item>

    <ion-item [routerLink]="['/module-attendance/studentlanding']">
      <ion-icon name="receipt" color="danger"></ion-icon>
      <ion-label color="danger" class="ion-margin">
        <h2>Student Attendance</h2>
      </ion-label>
    </ion-item>

    <ion-item [routerLink]="['/']">
      <ion-icon name="trophy" color="danger"></ion-icon>
      <ion-label color="danger" class="ion-margin">
        <h2>Graduate Management</h2>
      </ion-label>
    </ion-item>

    <ion-item [routerLink]="['/']">
      <ion-icon name="wallet" color="danger"></ion-icon>
      <ion-label color="danger" class="ion-margin">
        <h2>Scholarship Management</h2>
      </ion-label>
    </ion-item>

    <ion-item [routerLink]="['/']">
      <ion-icon color="danger" name="people-circle"></ion-icon>
      <ion-label color="danger" class="ion-margin">
        <h2>Lecturer Admission</h2>
      </ion-label>
    </ion-item>

    <ion-item [routerLink]="['/module-staff']">
      <ion-icon color="danger" name="people"></ion-icon>
      <ion-label color="danger" class="ion-margin">
        <h2>Staff Admission</h2>
      </ion-label>
    </ion-item>

    <ion-item [routerLink]="['/module-student-admission']">
      <ion-icon name="person-add" color="danger"></ion-icon>
      <ion-label color="danger" class="ion-margin">
        <h2>Student Admission</h2>
      </ion-label>
    </ion-item>

  </ion-list>

  <ion-fab horizontal="end" vertical="bottom" slot="fixed">
    <!-- add function on click to route to login module/page -->
    <ion-fab-button color="warning">
      <ion-icon name="person"></ion-icon>
    </ion-fab-button>

    <ion-fab-list side="top">
      <ion-fab-button color="danger" [routerLink]="['/module-login']">
        <ion-icon name="enter-outline"></ion-icon>
      </ion-fab-button>
      <!-- <ion-fab-button color="danger" (click)="return;">
        <ion-icon name="exit-outline"></ion-icon>
      </ion-fab-button> -->
    </ion-fab-list>

  </ion-fab>

</ion-content>
